package com.gic.spark.entity;

import com.gic.spark.entity.table.TabSceneCrowd;

import java.util.List;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/16
 */
public class SceneCrowdDTO extends TabSceneCrowd{


    private long id;
    private String scene_Crowd_Name;
    private long real_Time;
    private java.sql.Timestamp scene_Crowd_Expire_Time;
    private long scene_Crowd_Category_Id;
    private String scene_Crowd_Desc;
    private long scene_Crowd_Update_Type;
    private long scene_Crowd_Update_Type_Val;
    private java.sql.Timestamp update_Time;
    private long member_Size;
    private java.sql.Timestamp create_Time;
    private long valid_Flag;
    private String tag_Condition_Group_Info;
    private long delete_Flag;
    private long enterprise_Id;
    private String crowd_Param;

    public SceneCrowdDTO() {
    }

    public SceneCrowdDTO(TabSceneCrowd sceneCrowd,List<TagConditionGroupDTO> conditionGroupDTOList){
        this.setId(sceneCrowd.getId());
        this.setScene_Crowd_Name(sceneCrowd.getScene_Crowd_Name());
        this.setReal_Time(sceneCrowd.getReal_Time());
        this.setScene_Crowd_Expire_Time(sceneCrowd.getScene_Crowd_Expire_Time());
        this.setScene_Crowd_Category_Id(sceneCrowd.getScene_Crowd_Category_Id());
        this.setScene_Crowd_Desc(sceneCrowd.getScene_Crowd_Desc());
        this.setScene_Crowd_Update_Type(sceneCrowd.getScene_Crowd_Update_Type());
        this.setScene_Crowd_Update_Type_Val(sceneCrowd.getScene_Crowd_Update_Type_Val());
        this.setUpdate_Time(sceneCrowd.getUpdate_Time());
        this.setMember_Size(sceneCrowd.getMember_Size());
        this.setCreate_Time(sceneCrowd.getCreate_Time());
        this.setValid_Flag(sceneCrowd.getValid_Flag());
        this.setTag_Condition_Group_Info(sceneCrowd.getTag_Condition_Group_Info());
        this.setDelete_Flag(sceneCrowd.getDelete_Flag());
        this.setEnterprise_Id(sceneCrowd.getEnterprise_Id());
        this.setCrowd_Param(sceneCrowd.getCrowd_Param());
    }

    private List<TagConditionGroupDTO> conditionGroupDTOList;

    public List<TagConditionGroupDTO> getConditionGroupDTOList() {
        return conditionGroupDTOList;
    }

    public void setConditionGroupDTOList(List<TagConditionGroupDTO> conditionGroupDTOList) {
        this.conditionGroupDTOList = conditionGroupDTOList;
    }
}
